Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.interceptor
Class Fault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cxf.common.i18n.UncheckedException
                      org.apache.cxf.interceptor.Fault

All Implemented Interfaces:
  java.io.Serializable

    public class Fault

extends org.apache.cxf.common.i18n.UncheckedException

A Fault that occurs during invocation processing.

See Also:
  Serialized Form

Field Summary
`static javax.xml.namespace.QName` | `FAULT_CODE_CLIENT`
`static javax.xml.namespace.QName` | `FAULT_CODE_SERVER`
`static java.lang.String` | `STACKTRACE`

Constructor Summary
`Fault(org.apache.cxf.common.i18n.Message message)`
`Fault(org.apache.cxf.common.i18n.Message message, javax.xml.namespace.QName fc)`
`Fault(org.apache.cxf.common.i18n.Message message, java.lang.Throwable throwable)`
`Fault(org.apache.cxf.common.i18n.Message message, java.lang.Throwable throwable, javax.xml.namespace.QName fc)`
`Fault(java.lang.String message, java.util.logging.Logger log)`
`Fault(java.lang.String message, java.util.logging.Logger log, java.lang.Throwable t)`
`Fault(java.lang.String message, java.util.ResourceBundle b)`
`Fault(java.lang.String message, java.util.ResourceBundle b, java.lang.Throwable t)`
`Fault(java.lang.Throwable t)`
`Fault(java.lang.Throwable t, javax.xml.namespace.QName fc)`

Method Summary
`org.w3c.dom.Element` | `getDetail()` Returns the detail node.
`javax.xml.namespace.QName` | `getFaultCode()`
`java.lang.String` | `getMessage()`
`org.w3c.dom.Element` | `getOrCreateDetail()` Returns the detail node.
`boolean` | `hasDetails()` Indicates whether this fault has a detail message.
`void` | `setDetail(org.w3c.dom.Element details)` Sets a details `Node` on this fault.
`Fault` | `setFaultCode(javax.xml.namespace.QName c)`
`void` | `setMessage(java.lang.String message)`

Methods inherited from class org.apache.cxf.common.i18n.UncheckedException
`getCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAULT_CODE_CLIENT

    public static final javax.xml.namespace.QName FAULT_CODE_CLIENT

### FAULT_CODE_SERVER

    public static final javax.xml.namespace.QName FAULT_CODE_SERVER

### STACKTRACE

    public static final java.lang.String STACKTRACE

See Also:
  Constant Field Values

Constructor Detail

### Fault

    public Fault(org.apache.cxf.common.i18n.Message message,
                 java.lang.Throwable throwable)

### Fault

    public Fault(org.apache.cxf.common.i18n.Message message)

### Fault

    public Fault(java.lang.String message,
                 java.util.logging.Logger log)

### Fault

    public Fault(java.lang.String message,
                 java.util.ResourceBundle b)

### Fault

    public Fault(java.lang.String message,
                 java.util.logging.Logger log,
                 java.lang.Throwable t)

### Fault

    public Fault(java.lang.String message,
                 java.util.ResourceBundle b,
                 java.lang.Throwable t)

### Fault

    public Fault(java.lang.Throwable t)

### Fault

    public Fault(org.apache.cxf.common.i18n.Message message,
                 java.lang.Throwable throwable,
                 javax.xml.namespace.QName fc)

### Fault

    public Fault(org.apache.cxf.common.i18n.Message message,
                 javax.xml.namespace.QName fc)

### Fault

    public Fault(java.lang.Throwable t,
                 javax.xml.namespace.QName fc)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `org.apache.cxf.common.i18n.UncheckedException`

### setMessage

    public void setMessage(java.lang.String message)

### getFaultCode

    public javax.xml.namespace.QName getFaultCode()

### setFaultCode

    public Fault setFaultCode(javax.xml.namespace.QName c)

### getDetail

    public org.w3c.dom.Element getDetail()

  Returns the detail node.

  Returns:
    the detail node.

### setDetail

    public void setDetail(org.w3c.dom.Element details)

  Sets a details `Node` on this fault.

  Parameters:
    `details` - the detail node.

### hasDetails

    public boolean hasDetails()

  Indicates whether this fault has a detail message.

  Returns:
    `true` if this fault has a detail message; `false` otherwise.

### getOrCreateDetail

    public org.w3c.dom.Element getOrCreateDetail()

  Returns the detail node. If no detail node has been set, an empty `<detail>` is created.

  Returns:
    the detail node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF